/**************************************************************************
Project name	:	assform.c
Purpose		:	Format a binary file in GNU assembler 
Creation date	:	20/04/93
Author		:	F. Mondada
History.	:	F. Mondada	for SUN
		:	F. Mondada	no gen_types
***************************************************************************/

#include <stdio.h>

#define L_PAQUET 10
#define L_ENTETE 256

enum { ARG_FILENAME = 1, ARG_COUNT };

/* ******************************************************************** */
/* ******************************************************************** */

int main(argc,argv)
  long argc;
  char *argv[];
  {
  FILE *f_in;
  unsigned char	r_buffer[L_PAQUET], entete[L_ENTETE];
  unsigned char *r_ptr;
  long	lr_size, i;
  
  if ((argc != ARG_COUNT))
    {
    fprintf(stderr,"Usage: %s filename\n", argv[0]);
    exit(10);
    }
  if ((f_in = fopen(argv[ARG_FILENAME], "r")) == NULL)
    {
    fprintf(stderr, "File %s not found\n", argv[ARG_FILENAME]);
    exit(-1);
    }

  if( (fread(entete, L_ENTETE, 1, f_in)) != 1)		/* read the .code header! */
    {
    fprintf(stderr, ".code Header not readable\n");
    fclose(f_in);
    exit(-1);
    }

  printf("| GNU assembler of binary: %s\n\n\n",argv[ARG_FILENAME]);	/* entete */

  do
    {
    lr_size = fread(r_buffer, 1, L_PAQUET, f_in);
    
    if(lr_size != 0)
      printf("	.byte");

    for(i=0, r_ptr=r_buffer; i<lr_size-1; i++)
      {
      printf("	%d,",*r_ptr++);
      }
    
    if(lr_size != 0)
      printf("	%d\n",*r_ptr++);

    }
  while(!feof(f_in));


  printf("\n|end of file\n\n.align 4\n\n");	/* end */

  fclose(f_in);

  return 0;

  }
