/*
 *	STAT.H
 */

#ifndef	_STAT_H
#define	_STAT_H

/* need some type definitions */
#include <types.h>

struct stat {
	dev_t	st_dev;
	ino_t	st_ino;
	u_short	st_mode;
	short	st_nlink;
	short	st_uid;
	short	st_gid;
	dev_t	st_rdev;
	off_t	st_size;
	time_t	st_atime;
	time_t	st_mtime;
	time_t	st_ctime;
	long	st_attr;
};

#define	S_IFMT		0170000	/* file type mask */
#define	S_IFREG		0100000	/* normal */
#define	S_IFDIR		0040000	/* directory */
#define	S_IFBLK		0030000	/* block special */
#define	S_IFCHR		0020000	/* character special */
#define	S_IFIFO		0010000	/* FIFO special */
#define	S_ISUID		0004000
#define	S_ISGID		0002000
#define	S_ISTX		0001000
#define	S_IREAD		0000400	/* owner may read */
#define	S_IWRITE	0000200	/* owner may write */
#define	S_IEXEC		0000100	/* owner may execute */
#define	S_IDEFAULT	0000666	/* for creat */

#define	lstat(p,s)	stat(p,s)

extern	int	stat(char *path, struct stat *statbuf);

#endif	/* _STAT_H */

